## harmonypy 0.0.9

=== Makefile ===
.PHONY: clean all setup

all: clean
	python3 setup.py sdist bdist_wheel

setup: requirements.txt
	pip install -r requirements.txt

clean:
	rm -rf __pycache__ build *.egg-info .pytest_cache

=== requirements.txt ===
numpy>=1.13
scipy>=1.2
scikit-learn>=0.21
pandas>=0.25

## harmonypy 0.0.5

=== debian/changelog ===
harmonypy (0.0.5-2) unstable; urgency=medium

  * Bump for source-only upload

 -- Diane Trout <diane@ghic.org>  Mon, 13 Dec 2021 09:43:44 -0800

harmonypy (0.0.5-1) unstable; urgency=low

  * Initial packaging. (Closes: #994856)

 -- Diane Trout <diane@ghic.org>  Tue, 21 Sep 2021 15:09:07 -0700

=== debian/control ===
Source: harmonypy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-numpy,
               python3-pandas,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/med-team/harmonypy.git
Vcs-Browser: https://salsa.debian.org/med-team/harmonypy
Homepage: https://github.com/slowkow/harmonypy
Rules-Requires-Root: no

Package: python3-harmonypy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-sklearn
Description: is a data integration algorithm
 Harmony is an algorithm for integrating multiple high-dimensional datasets.
 .
 harmonypy is a port of the harmony R package by Ilya Korsunsky.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Tue, 21 Sep 2021 15:09:07 -0700
export PYBUILD_NAME=harmonypy
export PYBUILD_DISABLE=test
export 
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/slowkow/harmonypy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## harmonypy 0.0.6

=== debian/changelog ===
harmonypy (0.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 21:55:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/med-team/harmonypy.git
 Vcs-Browser: https://salsa.debian.org/med-team/harmonypy
 Homepage: https://github.com/slowkow/harmonypy

## harmonypy 0.0.9

=== debian/changelog ===
harmonypy (0.0.9-2) unstable; urgency=medium

  * Add extend-diff-ignore rule for .egg-info to (Closes: #1044548)

 -- Diane Trout <diane@ghic.org>  Tue, 15 Aug 2023 14:44:06 -0700

harmonypy (0.0.9-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.0.9
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:49:45 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/med-team/harmonypy.git
 Vcs-Browser: https://salsa.debian.org/med-team/harmonypy
 Homepage: https://github.com/slowkow/harmonypy

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # Tue, 21 Sep 2021 15:09:07 -0700
 export PYBUILD_NAME=harmonypy
 export PYBUILD_DISABLE=test
-export 
+export
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

## harmonypy 0.0.10

=== debian/changelog ===
harmonypy (0.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 no changes needed.
  * Remove Rules-Requires-Root: no since it's the default.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Add python3-hatchling to Build-Depends.
  * Add set-pyproject-license.patch

 -- Diane Trout <diane@ghic.org>  Thu, 13 Nov 2025 20:43:44 -0800

harmonypy (0.0.9-3) unstable; urgency=medium

  * Team upload.
  * Test-Depends: python3-all
    Closes: #1067137
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Mar 2024 11:15:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling,
                python3-numpy,
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/med-team/harmonypy.git
 Vcs-Browser: https://salsa.debian.org/med-team/harmonypy
 Homepage: https://github.com/slowkow/harmonypy
-Rules-Requires-Root: no
 
 Package: python3-harmonypy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_DISABLE=test
 export
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
